package com.hai.service;

import com.hai.entity.HighFleetOilCard;
import com.hai.entity.HighFleetOilCardUser;

import java.util.List;
import java.util.Map;

/**
 * @className: HighFleetOilCardUserService
 * @author: HuRui
 * @date: 2022/12/12
 **/
public interface HighFleetOilCardUserService {

    /**
     * 编辑用户
     * @param fleetOilCardUser
     */
    void editUser(HighFleetOilCardUser fleetOilCardUser);

    /**
     *
     * @param fleetOilCardUserList
     */
    void importData(HighFleetOilCard fleetOilCard, List<HighFleetOilCardUser> fleetOilCardUserList) throws Exception;

    /**
     * 根据iD查询详情
     * @param id
     * @return
     */
    HighFleetOilCardUser getDetailById(Long id);

    /**
     * 删除
     * @param id
     */
    void delete(Long id);

    /**
     * 查询用户列表
     * @param param
     * @return
     */
    List<HighFleetOilCardUser> getUserList(Map<String, Object> param);

    /**
     * 根据油卡查询用户列表
     * @param cardId
     * @return
     */
    List<HighFleetOilCardUser> getUserListByCard(Long cardId);

    /**
     * 获取油卡用户
     * @param fleetCardNo
     * @param contactPhone
     * @return
     */
    HighFleetOilCardUser getCardUser(String fleetCardNo, String contactPhone);
}
